<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kxs.stat.biz.mapper.KxsUserTradeAfterMapper">

    <resultMap type="com.kxs.stat.api.model.KxsUserTradeAfter" id="KxsUserTradeAfterMap">
        <result column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="version" property="version" />
        <result column="trade_date" property="tradeDate" />
        <result column="trade_month" property="tradeMonth" />
        <result column="brand_id" property="brandId" />
        <result column="help_direct_trade_amt" property="helpDirectTradeAmt" />
        <result column="help_debit_trade_amt" property="helpDebitTradeAmt" />
        <result column="pro_direct_trade_amt" property="proDirectTradeAmt" />
        <result column="pro_debit_trade_amt" property="proDebitTradeAmt" />
        <result column="pro_a_direct_trade_amt" property="proADirectTradeAmt" />
        <result column="pro_a_debit_trade_amt" property="proADebitTradeAmt" />
        <result column="trade_type" property="tradeType" />
        <result column="help_debit_cap_trade_amt" property="helpDebitCapTradeAmt" />
        <result column="help_debit_cap_num" property="helpDebitCapNum" />
        <result column="pro_debit_cap_trade_amt" property="proDebitCapTradeAmt" />
        <result column="pro_debit_cap_num" property="proDebitCapNum" />
        <result column="pro_a_debit_cap_trade_amt" property="proADebitCapTradeAmt" />
        <result column="pro_a_debit_cap_num" property="proADebitCapNum" />
        <result column="total_type" property="totalType" />
        <result column="pro_b_debit_trade_amt" property="proBDebitTradeAmt" />
        <result column="pro_b_direct_trade_amt" property="proBDirectTradeAmt" />
        <result column="pro_b_debit_cap_trade_amt" property="proBDebitCapTradeAmt" />
        <result column="pro_b_debit_cap_num" property="proBDebitCapNum" />
        <result column="user_id" property="userId" />
        <result column="vip_flag" property="vipFlag" />

    </resultMap>
    <update id="automaticTableCreationTasks">
        CREATE  TABLE IF NOT EXISTS `${tableName}` LIKE kxs_user_trade_after;
    </update>

</mapper>
